#!/usr/bin/perl -w
#
# Test dispatch function
#
# $Id: 15-win32ext.t,v 0.1 03/09/2004 jlm $
#

use strict;
use English;

use ExtUtils::testlib;
use Net::Pcap qw/:openflag :mode/;

print("1..5\n");

# Must run as root

if ($UID != 0) {
    print("not ok\n");
    exit;
}

my ($error, %description);
my @adapts = Net::Pcap::findalldevs(\$error);

if (defined($error)) {
    print("not ok\n");
} else {
    print("ok\n");
}

my $fp= Net::Pcap::open($adapts[-1],
                        1000,
                        OPENFLAG_PROMISCUOUS,
                        1000,
                        undef,
                        \$error
                        );

if (defined($error)) {
    print("not ok\n");
} else {
    print("ok\n");
}

$error = Net::Pcap::setbuff($fp, 8*1024);
if ($error) {
    print("not ok\n");
} else {
    print("ok\n");
}

$error = Net::Pcap::setmode($fp, MODE_CAPT);
if ($error) {
    print("not ok\n");
} else {
    print("ok\n");
}

$error = Net::Pcap::setmintocopy($fp, 1024);
if ($error) {
    print("not ok\n");
} else {
    print("ok\n");
}


